
Redmine - Defect #922

 NoMethodError in MyController#account using Oracle

2008-03-24 21:26 - Mario Haupt

Status: Closed Start date: 2008-03-24

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Accounts / authentication Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

redmine 0.6.4, ruby 1.8.6 (2007-09-24 patchlevel 111) [i386-mswin32], Oracle 10 XE, ruby-oci8-1.0.0-mswin32.rb installed, (same

installation with MySQL works fine)

Saving settings in MyAccount I get the following Error:

undefined method `store' for "empty_clob()":String

RAILS_ROOT: ./script/../config/..

Application Trace | Framework Trace | Full Trace

C:/redmine/app/models/user_preference.rb:46:in `[]='

C:/redmine/app/controllers/my_controller.rb:59:in `account'

C:/redmine/vendor/rails/activerecord/lib/active_record/associations/association_proxy.rb:123:in `send'

C:/redmine/vendor/rails/activerecord/lib/active_record/associations/association_proxy.rb:123:in `method_missing'

C:/redmine/vendor/rails/actionpack/lib/action_controller/base.rb:1101:in `send'

C:/redmine/vendor/rails/actionpack/lib/action_controller/base.rb:1101:in `perform_action_without_filters'

C:/redmine/vendor/rails/actionpack/lib/action_controller/filters.rb:696:in `call_filters'

C:/redmine/vendor/rails/actionpack/lib/action_controller/filters.rb:688:in `perform_action_without_benchmark'

C:/redmine/vendor/rails/actionpack/lib/action_controller/benchmarking.rb:66:in `perform_action_without_rescue'

c:/ruby/lib/ruby/1.8/benchmark.rb:293:in `measure'

C:/redmine/vendor/rails/actionpack/lib/action_controller/benchmarking.rb:66:in `perform_action_without_rescue'

C:/redmine/vendor/rails/actionpack/lib/action_controller/rescue.rb:83:in `perform_action'

C:/redmine/vendor/rails/actionpack/lib/action_controller/base.rb:435:in `send'

C:/redmine/vendor/rails/actionpack/lib/action_controller/base.rb:435:in `process_without_filters'

C:/redmine/vendor/rails/actionpack/lib/action_controller/filters.rb:684:in `process_without_session_management_support'

C:/redmine/vendor/rails/actionpack/lib/action_controller/session_management.rb:114:in `process'

C:/redmine/vendor/rails/actionpack/lib/action_controller/base.rb:334:in `process'

C:/redmine/vendor/rails/railties/lib/dispatcher.rb:41:in `dispatch'

C:/redmine/vendor/rails/railties/lib/webrick_server.rb:113:in `handle_dispatch'

C:/redmine/vendor/rails/railties/lib/webrick_server.rb:79:in `service'

c:/ruby/lib/ruby/1.8/webrick/httpserver.rb:104:in `service'

c:/ruby/lib/ruby/1.8/webrick/httpserver.rb:65:in `run'

c:/ruby/lib/ruby/1.8/webrick/server.rb:173:in `start_thread'

c:/ruby/lib/ruby/1.8/webrick/server.rb:162:in `start'

c:/ruby/lib/ruby/1.8/webrick/server.rb:162:in `start_thread'

c:/ruby/lib/ruby/1.8/webrick/server.rb:95:in `start'

c:/ruby/lib/ruby/1.8/webrick/server.rb:92:in `each'

c:/ruby/lib/ruby/1.8/webrick/server.rb:92:in `start'

c:/ruby/lib/ruby/1.8/webrick/server.rb:23:in `start'

c:/ruby/lib/ruby/1.8/webrick/server.rb:82:in `start'

C:/redmine/vendor/rails/railties/lib/webrick_server.rb:63:in `dispatch'

C:/redmine/vendor/rails/railties/lib/commands/servers/webrick.rb:59

c:/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in `gem_original_require'

c:/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in `require'

C:/redmine/vendor/rails/activesupport/lib/active_support/dependencies.rb:495:in `require'

C:/redmine/vendor/rails/activesupport/lib/active_support/dependencies.rb:342:in `new_constants_in'

C:/redmine/vendor/rails/activesupport/lib/active_support/dependencies.rb:495:in `require'

C:/redmine/vendor/rails/railties/lib/commands/server.rb:39

c:/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in `gem_original_require'

c:/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in `require'

script/server:3
C:/redmine/app/models/user_preference.rb:46:in `[]='

C:/redmine/vendor/rails/activerecord/lib/active_record/associations/association_proxy.rb:123:in `send'

C:/redmine/vendor/rails/activerecord/lib/active_record/associations/association_proxy.rb:123:in `method_missing'

C:/redmine/app/controllers/my_controller.rb:59:in `account'

C:/redmine/vendor/rails/actionpack/lib/action_controller/base.rb:1101:in `send'

C:/redmine/vendor/rails/actionpack/lib/action_controller/base.rb:1101:in `perform_action_without_filters'

C:/redmine/vendor/rails/actionpack/lib/action_controller/filters.rb:696:in `call_filters'

C:/redmine/vendor/rails/actionpack/lib/action_controller/filters.rb:688:in `perform_action_without_benchmark'

C:/redmine/vendor/rails/actionpack/lib/action_controller/benchmarking.rb:66:in `perform_action_without_rescue'

c:/ruby/lib/ruby/1.8/benchmark.rb:293:in `measure'

C:/redmine/vendor/rails/actionpack/lib/action_controller/benchmarking.rb:66:in `perform_action_without_rescue'

C:/redmine/vendor/rails/actionpack/lib/action_controller/rescue.rb:83:in `perform_action'

C:/redmine/vendor/rails/actionpack/lib/action_controller/base.rb:435:in `send'

C:/redmine/vendor/rails/actionpack/lib/action_controller/base.rb:435:in `process_without_filters'

C:/redmine/vendor/rails/actionpack/lib/action_controller/filters.rb:684:in `process_without_session_management_support'

C:/redmine/vendor/rails/actionpack/lib/action_controller/session_management.rb:114:in `process'

C:/redmine/vendor/rails/actionpack/lib/action_controller/base.rb:334:in `process'

C:/redmine/vendor/rails/railties/lib/dispatcher.rb:41:in `dispatch'

C:/redmine/vendor/rails/railties/lib/webrick_server.rb:113:in `handle_dispatch'

C:/redmine/vendor/rails/railties/lib/webrick_server.rb:79:in `service'

c:/ruby/lib/ruby/1.8/webrick/httpserver.rb:104:in `service'

c:/ruby/lib/ruby/1.8/webrick/httpserver.rb:65:in `run'

c:/ruby/lib/ruby/1.8/webrick/server.rb:173:in `start_thread'

c:/ruby/lib/ruby/1.8/webrick/server.rb:162:in `start'

c:/ruby/lib/ruby/1.8/webrick/server.rb:162:in `start_thread'

c:/ruby/lib/ruby/1.8/webrick/server.rb:95:in `start'

c:/ruby/lib/ruby/1.8/webrick/server.rb:92:in `each'

c:/ruby/lib/ruby/1.8/webrick/server.rb:92:in `start'

c:/ruby/lib/ruby/1.8/webrick/server.rb:23:in `start'

c:/ruby/lib/ruby/1.8/webrick/server.rb:82:in `start'

C:/redmine/vendor/rails/railties/lib/webrick_server.rb:63:in `dispatch'

C:/redmine/vendor/rails/railties/lib/commands/servers/webrick.rb:59

c:/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in `gem_original_require'

c:/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in `require'

C:/redmine/vendor/rails/activesupport/lib/active_support/dependencies.rb:495:in `require'

C:/redmine/vendor/rails/activesupport/lib/active_support/dependencies.rb:342:in `new_constants_in'

C:/redmine/vendor/rails/activesupport/lib/active_support/dependencies.rb:495:in `require'

C:/redmine/vendor/rails/railties/lib/commands/server.rb:39

c:/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in `gem_original_require'

c:/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in `require'

script/server:3

Request

Parameters: {"user"=>{"language"=>"en", "mail"=>"admin@somenet.foo", "lastname"=>"Admin", "firstname"=>"Redmine"},

"commit"=>"Save", "pref"=>{"time_zone"=>"", "hide_mail"=>"0"}, "notification_option"=>"none"}

Show session dump

---

:return_to_params:

:user_id: 10000

:query: &id002 !ruby/object:Query

attributes:

name: _

project_id: 10000

column_names:

filters: empty_clob()

is_public: false

user_id: 0

available_filters:

start_date:

:type: :date

:order: 11

created_on:

:type: :date_past

:order: 9
updated_on:

:type: :date_past

:order: 10

priority_id:

:type: :list

:values:

- - Niedrig

- "10002"

- - Normal

- "10003"

- - Hoch

- "10004"

- - Dringend

- "10005"

- - Sofort

- "10006"

:order: 3

subject:

:type: :text

:order: 8

fixed_version_id:

:type: :list_optional

:values: []

:order: 7

    tracker_id: 

      :type: :list

      :values: 

      - - Fehler

        - "10000" 

      - - Feature

        - "10001" 

      - - Support

        - "10002" 

      :order: 2

    assigned_to_id: 

      :type: :list_optional

      :values: &id001 

        - - << me >>

          - me

      :order: 4

    done_ratio: 

      :type: :integer

      :order: 13

    due_date: 

      :type: :date

      :order: 12

    author_id: 

      :type: :list

      :values: *id001

      :order: 5

    status_id: 

      :type: :list_status

      :values: 

      - - Neu

        - "10000" 

      - - Zugewiesen

        - "10001" 

      - - "Gel\xC3\xB6st" 

        - "10002" 

      - - Feedback

        - "10003" 

      - - Erledigt

        - "10004" 

      - - Abgewiesen

        - "10005" 

      :order: 1
  errors: !ruby/object:ActiveRecord::Errors 

    base: *id002

    errors: {}

 
gloc_language: :en

  new_record: true

  project: !ruby/object:Project 

    actions_allowed: 

    - projects/show

    - projects/activity

    - search/index

    - projects/settings

    - projects/edit

    - projects/modules

    - projects/settings

    - members/new

    - members/edit

    - members/destroy

    - versions/edit

    - versions/destroy

    - projects/settings

    - projects/add_version

    - projects/settings

    - projects/add_issue_category

    - issue_categories/edit

    - issue_categories/destroy

    - queries/index

    - reports/issue_report

    - versions/show

    - versions/status_by

    - projects/changelog

    - projects/roadmap

    - issues/index

    - issues/changes

    - issues/show

    - issues/context_menu

    - projects/add_issue

    - projects/bulk_edit_issues

    - issues/edit

    - issues/destroy_attachment

    - issue_relations/new

    - issue_relations/destroy

    - issues/add_note

    - issues/change_status

    - projects/move_issues

    - issues/destroy

    - queries/new

    - queries/edit

    - queries/destroy

    - queries/new

    - queries/edit

    - queries/destroy

    - projects/gantt

    - projects/calendar

    - timelog/edit

    - timelog/details

    - timelog/report

    - news/edit

    - news/destroy

    - news/destroy_comment

    - projects/add_news

    - news/index

    - news/show

    - news/add_comment

    - documents/edit

    - documents/destroy

    - documents/add_attachment

2025-05-02 4/7



    - documents/destroy_attachment

    - projects/add_document

    - documents/show

    - documents/download

    - projects/list_documents

    - versions/destroy_file

    - projects/add_file

    - versions/download

    - projects/list_files

    - wikis/edit

    - wikis/destroy

    - wiki/rename

    - wiki/destroy

    - wiki/index

    - wiki/history

    - wiki/diff

    - wiki/special

    - wiki/edit

    - wiki/preview

    - wiki/add_attachment

    - wiki/destroy_attachment

    - repositories/edit

    - repositories/destroy

    - repositories/show

    - repositories/browse

    - repositories/entry

    - repositories/annotate

    - repositories/changes

    - repositories/diff

    - repositories/stats

    - repositories/graph

    - repositories/show

    - repositories/revisions

    - repositories/revision

    - boards/new

    - boards/edit

    - boards/destroy

    - boards/index

    - boards/show

    - messages/show

    - messages/new

    - messages/reply

    - messages/edit

    - messages/destroy

    all_custom_fields: []

 
allowed_permissions: 

    - :view_project

    - :search_project

    - :edit_project

    - :select_project_modules

    - :manage_members

    - :manage_versions

    - :manage_categories

    - :view_issues

    - :add_issues

    - :edit_issues

    - :manage_issue_relations

    - :add_issue_notes

    - :change_issue_status

    - :move_issues

    - :delete_issues

    - :manage_public_queries

    - :save_queries

    - :view_gantt

    - :view_calendar

    - :log_time
    - :view_time_entries

    - :manage_news

    - :view_news

    - :comment_news

    - :manage_documents

    - :view_documents

    - :manage_files

    - :view_files

    - :manage_wiki

    - :rename_wiki_pages

    - :delete_wiki_pages

    - :view_wiki_pages

    - :edit_wiki_pages

    - :manage_repository

    - :browse_repository

    - :view_changesets

    - :manage_boards

    - :view_messages

    - :add_messages

    - :edit_messages

    - :delete_messages

    attributes: 

      status: 1

      created_on: 2008-03-23 19:37:41 +01:00

      name: "BMVBS St\xC3\xA4dtebau" 

      updated_on: 2008-03-23 20:59:48 +01:00

      projects_count: 0

      id: 10000

      description: "BMVBS St\xC3\xA4dtebau" 

      homepage: 

      is_public: 0

      identifier: "001" 

      parent_id: 

    children: []

 
custom_fields: []

 
enabled_modules: 

    - !ruby/object:EnabledModule 

      attributes: 

        name: news

        project_id: 10000

        id: 10010

    - !ruby/object:EnabledModule 

      attributes: 

        name: documents

        project_id: 10000

        id: 10011

    - !ruby/object:EnabledModule 

      attributes: 

        name: files

        project_id: 10000

        id: 10012

    - !ruby/object:EnabledModule 

      attributes: 

        name: wiki

        project_id: 10000

        id: 10013

    - !ruby/object:EnabledModule 

      attributes: 

        name: repository

        project_id: 10000

        id: 10014

    - !ruby/object:EnabledModule 

      attributes: 

        name: boards

        project_id: 10000
        id: 10015

    - !ruby/object:EnabledModule 

      attributes: 

        name: issue_tracking

        project_id: 10000

        id: 10008

    - !ruby/object:EnabledModule 

      attributes: 

        name: time_tracking

        project_id: 10000

        id: 10009

    issue_categories: []

 
users: []

 
versions: []

 issuesindex_sort:

:order: desc

:key: issues.id

flash: !map:ActionController::Flash::FlashHash {}

Response

Headers: {"cookie"=>[], "Cache-Control"=>"no-cache"}

Related issues:

Related to Redmine - Feature #944: Oracle Support in Redmine Closed 2008-03-28

History

#1 - 2008-03-26 20:16 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Invalid

Same problem as #921.

#2 - 2008-03-27 20:34 - Jean-Philippe Lang

- Target version deleted (0.8)
